/* https://css-loaders.com/clones/#l7 */
/* HTML: <div class="loader"></div> */
.loader {
  width: 85px;
  height: 50px;
  --g1: conic-gradient(from 90deg at left 3px top 3px, #0000 90deg, #fff 0);
  --g2: conic-gradient(from -90deg at bottom 3px right 3px, #0000 90deg, #fff 0);
  background: var(--g1), var(--g1), var(--g1), var(--g2), var(--g2), var(--g2);
  background-position: left, center, right;
  background-repeat: no-repeat;
  animation: l10 1s infinite alternate;
}
@keyframes l10 {
  0%,
  2% {
    background-size: 25px 50%, 25px 50%, 25px 50%;
  }
  20% {
    background-size: 25px 25%, 25px 50%, 25px 50%;
  }
  40% {
    background-size: 25px 100%, 25px 25%, 25px 50%;
  }
  60% {
    background-size: 25px 50%, 25px 100%, 25px 25%;
  }
  80% {
    background-size: 25px 50%, 25px 50%, 25px 100%;
  }
  98%,
  100% {
    background-size: 25px 50%, 25px 50%, 25px 50%;
  }
}

/* loader2 */
/* HTML: <div class="loader2"></div> */
.loader2 {
  height: 80px;
  aspect-ratio: 1;
  display: grid;
}
.loader2:before,
.loader2:after {
  content: '';
  --c: no-repeat linear-gradient(#fff 0 0);
  background: var(--c), var(--c);
  background-size: 25% 50%;
  animation: l5 1.5s infinite linear;
}
.loader2:after {
  transform: scale(-1);
}
@keyframes l5 {
  0%,
  5% {
    background-position: 33.4% 100%, 66.6% 100%;
  }
  25% {
    background-position: 33.4% 100%, 100% 0;
  }
  50% {
    background-position: 0 0, 100% 0;
  }
  75% {
    background-position: 0 0, 66.6% 100%;
  }
  95%,
  100% {
    background-position: 33.4% 100%, 66.6% 100%;
  }
}

/* loader3 */
/* HTML: <div class="loader3"></div> */
.loader3 {
  width: 50px;
  aspect-ratio: 1;
  display: grid;
  border: 4px solid #0000;
  border-radius: 50%;
  border-color: #ccc #0000;
  animation: l16 1s infinite linear;
}
.loader3::before,
.loader3::after {
  content: '';
  grid-area: 1/1;
  margin: 2px;
  border: inherit;
  border-radius: 50%;
}
.loader3::before {
  border-color: #f03355 #0000;
  animation: inherit;
  animation-duration: 0.5s;
  animation-direction: reverse;
}
.loader3::after {
  margin: 8px;
}
@keyframes l16 {
  100% {
    transform: rotate(1turn);
  }
}

.loader-container {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 1;
}
